commit:     5e661c82f7cae12ab07cd94d96228b5abd31a412
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 13 13:18:13 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 13 14:03:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e661c82

dev-python/xarray: Bump to 2024.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xarray/Manifest               |  1 +
 dev-python/xarray/xarray-2024.5.0.ebuild | 68 ++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 341efb534101..ae5a3981cb32 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,3 +1,4 @@
 DIST xarray-2024.03.0.gh.tar.gz 3722922 BLAKE2B 
52025d8ba196500ac989fc8ff85ae7578cae3602ede77b663350acf0e132d2d9358f3170c697aa2f158c2f3f3520607c23f9060356fec0942ebddb9ca3e039da
 SHA512 
5d62c102a3fdf6dfc16182d3822386dc9edb75204dff9a9b8e3aa7bbe5b223c477f2a73f0a0e35de3454d9e738da6205da0c308bc778f8ffc9af80c20a49d6af
 DIST xarray-2024.1.1.tar.gz 3614037 BLAKE2B 
cc50fbfa19a2c9229b85b8c7d5d0e7e7f6d3e5a484955fcc81aa0b37839a0b992d2c2f928e4097ca05c7b8294ed1061fbd0c1b7e7c65c9087a940dab97c520ce
 SHA512 
b6447ca2c80b3a3091ac2baba648fef4faa79ffff272360e9726b318b517ede9d2717d1b6f77f03fdacf55527233f1a37c0d114901fe1a265d3e435cf293a487
 DIST xarray-2024.2.0.tar.gz 3634288 BLAKE2B 
8d1165360300da5af6d670947e5280052a3d8915768e02448b86ab38283d6d45258a2c4eb91982ba732ccedb3a7afc5f274116c9ee0072d35cdc5631b8a2ca50
 SHA512 
dcfe6d1f0edab8659664c5399b96d622d2e3df2f85bb7672d9afab6f74294a6449772efde080aaa7323f733c09cbd0f6f037e547be0afa79f39450eead777828
+DIST xarray-2024.5.0.tar.gz 3710689 BLAKE2B 
04d2d9c70c90bccd0f269dde91be8a3f213b2dfe2d380b041abe946d118e80d0816ef09ed7e225b7bb164902c1943c1be335f1cac815d12c4aace6a0217379bb
 SHA512 
d3aa6ef73afd2fd8a5c5551631ca5385d14221474bdab4c404cee1405b370c2f998c895bfd3506e6ccc1b2f511996b0eebefb331768df047d5e8b398ad2f9199

diff --git a/dev-python/xarray/xarray-2024.5.0.ebuild 
b/dev-python/xarray/xarray-2024.5.0.ebuild
new file mode 100644
index 000000000000..5811f8af24a1
--- /dev/null
+++ b/dev-python/xarray/xarray-2024.5.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+       https://xarray.pydata.org/
+       https://github.com/pydata/xarray/
+       https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~s390 ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+       <dev-python/numpy-2[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+       >=dev-python/pandas-2.0[${PYTHON_USEDEP}]
+       >=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/bottleneck[${PYTHON_USEDEP}]
+               dev-python/cftime[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               dev-python/toolz[${PYTHON_USEDEP}]
+               !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=()
+       if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+               EPYTEST_DESELECT+=(
+                       
'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+               )
+       fi
+
+       if use big-endian ; then
+               EPYTEST_DESELECT+=(
+                       # Appears to be a numpy issue in display? See bug 
#916460.
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to